Get per-interval (day or hour) trade volume from API-created orders in USD, with gaps filled
curl --request GET \
--url https://perps-api.vooi.io/broker-statistics/daily-volume \
--header 'X-Broker-Key: <x-broker-key>'import requests
url = "https://perps-api.vooi.io/broker-statistics/daily-volume"
headers = {"X-Broker-Key": "<x-broker-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Broker-Key': '<x-broker-key>'}};
fetch('https://perps-api.vooi.io/broker-statistics/daily-volume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"amount": 1,
"date": "2023-11-07T05:31:56Z"
}
],
"totalValue": 1
}Broker Statistics
Get per-interval (day or hour) trade volume from API-created orders in USD, with gaps filled
GET
/
broker-statistics
/
daily-volume
Get per-interval (day or hour) trade volume from API-created orders in USD, with gaps filled
Headers
Broker API key
Query Parameters
Exclude trades whose base symbol starts with this prefix (case-insensitive).
Required string length:
1 - 20Example:
"xyz:"
Filter trades by base symbol prefix (case-insensitive).
Required string length:
1 - 20Example:
"xyz:"
Filter by exchange. When omitted, data is returned for all supported exchanges.
Available options:
aster, binance, bybit, extended, gate, hyperliquid, lighter, mexc, ondo, robinhood Start of the period as unix timestamp in milliseconds (inclusive). Defaults to 30 days before now (1 day for hour resolution).
Required range:
x <= 9007199254740991Example:
1767225600000
Aggregation interval: day (UTC calendar day) or hour (UTC clock hour). from/to snap to interval boundaries. On series endpoints, items span one interval and hour limits the range to 7 days. Defaults to day.
Available options:
day, hour End of the period as unix timestamp in milliseconds (inclusive). Defaults to now.
Required range:
x <= 9007199254740991Example:
1769903999000
List of user IDs to exclude from the results.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$